Upgrade from version 13.2 to 13.3

This section of the Tricentis Tosca manual describes how to upgrade from Tricentis Tosca 13.2 to Tricentis Tosca 13.3.

It contains all necessary information on what you need to do to perform the upgrade.

If a particular component is not specifically mentioned, this component is automatically upgraded.

Upgrade process

To upgrade to Tricentis Tosca 13.3, follow the steps below:

  1. Upgrade Tosca Commander. You can upgrade Tosca Commander in one of the following ways:

    • Upgrade via uninstall / reinstall if you want full control over your upgrade and log files.

    • Upgrade via setup file. This type of upgrade implicitly removes the previous Tricentis Tosca version.

    • Upgrade via command line. Tricentis recommends that you use this option if you want to upgrade multiple clients at once.

  2. Perform your migrations.

    Tosca Commander stores its project data in repositories. If the data structure, i.e. the schema version, changes, you need to migrate these repositories. You also need to migrate XEngines to upgrade your XModules and linked TestCases.

    You can migrate in one of the following ways:

    • Migrate with the Tosca Administration Console if you have Tosca Server installed. In this case, you can migrate your repositories and XEngines in one step.

      If you want to migrate via the Administration Console, you need to upgrade Tosca Server before you can perform the migration.

    • Migrate manually. In this case, you have to migrate your repositories and XEngines manually and in two separate steps.

    Migrated repositories and TestCases are not downward compatible.

  3. Upgrade Tosca Server and its features.

  4. Upgrade Tosca Extensions, if you use them.

  5. Upgrade your customizations.

For information on changed functionality in version 13.3, see chapter "Changed functionality".

Upgrade from versions < 13.2

This upgrade manual describes the upgrade from Tricentis Tosca version 13.2 to 13.3.

If you upgrade from an older version, you also need to consider the upgrade steps of previous versions: